GET api/contractapi/contract/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
{
  "selected_nameplate_id": "8060a4fa-ec46-460e-815c-7c23904ea2f2",
  "selected_sticker_id": "934af1d2-2176-48e0-9174-e4d0d8cba6ff",
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "c4f1d2d9-0612-46fd-9e93-7dbbf46a3801",
      "site_id": "ee40b348-1d34-4217-bda5-dab9aaef8395"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "c4f1d2d9-0612-46fd-9e93-7dbbf46a3801",
      "site_id": "ee40b348-1d34-4217-bda5-dab9aaef8395"
    }
  ],
  "active": true,
  "certificate_type_id": "6af41848-daf4-468f-91a5-a8f895e28ee6",
  "code": 1,
  "delay_between_scans": 1,
  "id": "bb33eaf7-ac4b-446c-9037-fc30e5fc5180",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "939ab4ac-c639-4bec-8979-6462dc1db120",
  "packing_type_id": "238e1dd9-244e-4f7f-bc22-87fe11ed4291",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "7d769eed-845c-45d1-b5e3-7fb6cd044f51",
  "remark": "sample string 14",
  "site_customer_id": "c1a06231-529b-47a7-a698-6a4b3c616cc5",
  "sorting_type_id": "dcdac8b1-155f-4f1f-b7df-2bee48dc8d7c",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>6af41848-daf4-468f-91a5-a8f895e28ee6</certificate_type_id>
  <code>1</code>
  <delay_between_scans>1</delay_between_scans>
  <id>bb33eaf7-ac4b-446c-9037-fc30e5fc5180</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>939ab4ac-c639-4bec-8979-6462dc1db120</packaging_type_id>
  <packing_type_id>238e1dd9-244e-4f7f-bc22-87fe11ed4291</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>7d769eed-845c-45d1-b5e3-7fb6cd044f51</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>c1a06231-529b-47a7-a698-6a4b3c616cc5</site_customer_id>
  <sorting_type_id>dcdac8b1-155f-4f1f-b7df-2bee48dc8d7c</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>8060a4fa-ec46-460e-815c-7c23904ea2f2</selected_nameplate_id>
  <selected_sticker_id>934af1d2-2176-48e0-9174-e4d0d8cba6ff</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>c4f1d2d9-0612-46fd-9e93-7dbbf46a3801</id>
      <site_id>ee40b348-1d34-4217-bda5-dab9aaef8395</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>c4f1d2d9-0612-46fd-9e93-7dbbf46a3801</id>
      <site_id>ee40b348-1d34-4217-bda5-dab9aaef8395</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>